Bug 12254 - tkabber default fonts ru is big
: tkabber default fonts ru is big
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tkabber)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-06 21:01 by
Modified: 2009-08-18 19:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-06 21:01:31
beta desktop 0628

ставим tkabber из branch
а там неприличные шрифты призапуске - латинские нормальные, а русские  - 
слишком разреженные

см. http://img401.imageshack.us/img401/7853/shot4ln4.png

не знаю сколько провисит.
(рядом в терминале ошибка про psi ;)

указываю в ~/,tkabber/config.tcl (создаю его)

set font -misc-fixed-medium-r-normal-*-14-*-*-*-*-*-koi8-*

просматраиваю этот шрифт в xfontsel - нормальный
запускаю tkabber - разреженный 

так же проблема - в xfontsel нельзя выбрать bold, italic варианты для этого 
шрифта (мало вариантов установлено)


список шрифтов что стоят по умолчанию

val-fonts-ttf-1.0-alt14
fonts-ttf-church-20050115-alt3
fonts-ttf-j2se-sun-1.6.0.01-alt2
fonts-type1-urw-1.0.7pre41-alt3
fonts-ttf-dejavu-2.16-alt1
fonts-ttf-latex-xft-0.1-alt3
fonts-bitmap-misc-7.0.0-alt1
fonts-otf-oldstandard-0.9-alt1

при этом в xfontsel тот же шрифт, что в конфиге - выглядит нормально
------- Comment #1 From 2007-07-09 11:42:58 -------
Не любой пакет, входящий в branch заслуживает ошибки на Desktop 4.0
------- Comment #2 From 2007-07-09 11:43:09 -------
Не любой пакет, входящий в branch заслуживает ошибки на Desktop 4.0
------- Comment #3 From 2007-07-10 21:31:47 -------
перевешиваю
вероятно, проблема не в tkabber, а в устанавливаемом по умолчанию наборе шрифтов
(мало шрифтов?)

но багу заставили перекинуть с компонента Desktop4..
------- Comment #4 From 2007-07-10 21:32:47 -------
перевесьте багу на Большакова, у меня нет прав
------- Comment #5 From 2007-07-13 02:35:54 -------
(In reply to comment #4)
> перевесьте багу на Большакова, у меня нет прав
Done
------- Comment #6 From 2007-08-05 21:23:19 -------
fixed in 0.10.0-alt1.M40.1
------- Comment #7 From 2008-01-21 11:29:33 -------
проблема эта периодически возникает ;) достал наверно уже, но что поделать.
лучше закрыть ее совсем ;)

предлагаю решение, работающее на desktop 4.

1. шрифт для интерфейса установить так:

option add *font "-*-dejavu sans mono-medium-r-*-*-12-*-*-*-*-*-iso10646-*"
userDefault

2. шрифт для окон чата установить так:

set font "-*-dejavu sans mono-medium-r-*-*-12-*-*-*-*-*-iso10646-*"

сейчас в default.xrdb устанавливается только первый, но не mono, serif.

согласно tkabber readme:
The first setting ("set font") defines the font used to render chat
   conversations, while the second one (operating on the Tk option
   database) selects the font used for UI elements like buttons and
   labels.

поэтому необходимы оба оператора.
у себя проверил, стало гораздо лучше (уже можно пользоваться).
осталось внести это в default (изменение serif-mono; установка того же шрифта
для окон чата)

думаю, что на остальных системах (не desktop 4) это ничего не поломает, т.к.
шрифт тут предлагается из того же пакета.
------- Comment #8 From 2008-09-07 18:50:11 -------
Господа, на вики Ткаббера мы поддерживаем пространную статью про шрифты в нём:
http://ru.tkabber.jabe.ru/index.php/Fonts

Кроме того, я должен заметить, что в 0.11.0 механизм настроек шрифтов был
изменён, в частности, глобальной переменной font больше нет. Пример настройки,
приведённый в комментарии #7, относится к 0.10.0, а в репозитории сизифа я
наблюдаю 0.11.0; вероятно, стоит как-то учесть изменения в 0.11.0.
------- Comment #9 From 2009-08-18 17:56:29 -------
поставил tkabber-0.11.1-alt2 ( система - недавний сизиф)

шрифты - нормальные! ;)

только не пойму, зачем запуск через меню К (кде 4.3) открывает пустое окно
konsole.
------- Comment #10 From 2009-08-18 19:01:36 -------
(В ответ на комментарий №9)
> поставил tkabber-0.11.1-alt2 ( система - недавний сизиф)
> 
> шрифты - нормальные! ;)

Скорее всего, что установлен Tcl/Tk 8.5, который использует Xft/fontconfig.
См. мой предыдущий комментарий.